/**
 *     $Id: max.c,v 1.1.1.1 2008-04-28 17:32:53 mbroeker Exp $
 * $Source: /development/c/demos/max.c,v $
 *
 */
#include <stdio.h>
#include <stdlib.h>

unsigned int max (unsigned int a, unsigned int b)
{
    return (a * (a > b) + b * (b > a));
}

int main (int argc, char **argv)
{
    unsigned int a;
    unsigned int b;

    if (argc != 3) {
        printf ("Usage: %s value1 value2\n", argv[0]);
        return EXIT_SUCCESS;
    }
    a = atoi (argv[1]);
    b = atoi (argv[2]);

    printf ("%u\n", max (a, b));

    return EXIT_SUCCESS;
}
